package com.miaxis.order.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 订单对象 order_info
 *
 * @author miaxis
 * @date 2023-11-17
 */
@Data
@TableName("order_info")
@ApiModel(value = "OrderInfo", description = "订单对象 order_info")
public class OrderInfo extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "")
    private Long id;

    /** 生产单号 */
    @Excel(name = "生产单号")
    @TableField("order_no")
    @ApiModelProperty(value = "生产单号")
    private String orderNo;

    /** 业务员 */
    @Excel(name = "业务员")
    @TableField("business_name")
    @ApiModelProperty(value = "业务员")
    private String businessName;

    /** 图纸 */
    @Excel(name = "图纸")
    @TableField("picture")
    @ApiModelProperty(value = "图纸")
    private String picture;

    /** 动力 */
    @Excel(name = "动力")
    @TableField("power")
    @ApiModelProperty(value = "动力")
    private String power;

    /** 发电机 */
    @Excel(name = "发电机")
    @TableField("fdj")
    @ApiModelProperty(value = "发电机")
    private String fdj;

    /** 割板 */
    @Excel(name = "割板")
    @TableField("cutting_board")
    @ApiModelProperty(value = "割板")
    private String cuttingBoard;

    /** 压型 */
    @Excel(name = "压型")
    @TableField("yaxing")
    @ApiModelProperty(value = "压型")
    private String yaxing;

    /** 壳体冷作 */
    @Excel(name = "壳体冷作")
    @TableField("ketilengzuo")
    @ApiModelProperty(value = "壳体冷作")
    private String ketilengzuo;

    /** 地盘冷作 */
    @Excel(name = "地盘冷作")
    @TableField("dipanlengzuo")
    @ApiModelProperty(value = "地盘冷作")
    private String dipanlengzuo;

    /** 喷塑 */
    @Excel(name = "喷塑")
    @TableField("pen_su")
    @ApiModelProperty(value = "喷塑")
    private String penSu;

    /** 组装 */
    @Excel(name = "组装")
    @TableField("zuzhuang")
    @ApiModelProperty(value = "组装")
    private String zuzhuang;

    /** 接线 */
    @Excel(name = "接线")
    @TableField("jiexian")
    @ApiModelProperty(value = "接线")
    private String jiexian;

    /** 试机 */
    @Excel(name = "试机")
    @TableField("shiji")
    @ApiModelProperty(value = "试机")
    private String shiji;

    /** 包装 */
    @Excel(name = "包装")
    @TableField("baozhuang")
    @ApiModelProperty(value = "包装")
    private String baozhuang;

    /** 订单备注 */
    @Excel(name = "订单备注")
    @TableField("remark_order")
    @ApiModelProperty(value = "订单备注")
    private String remarkOrder;

    /** 订单状态 */
    @Excel(name = "订单状态")
    @TableField("status")
    @ApiModelProperty(value = "订单状态")
    private Integer status;

    /** 完成日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "完成日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("finish_time")
    @ApiModelProperty(value = "完成日期")
    private Date finishTime;

    /** 生产计划备注 */
    @Excel(name = "生产计划备注")
    @TableField("remark_items")
    @ApiModelProperty(value = "生产计划备注")
    private String remarkItems;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setOrderNo(String orderNo){
        this.orderNo = orderNo;
    }

    public String getOrderNo(){
        return orderNo;
    }
    public void setBusinessName(String businessName){
        this.businessName = businessName;
    }

    public String getBusinessName(){
        return businessName;
    }
    public void setPicture(String picture){
        this.picture = picture;
    }

    public String getPicture(){
        return picture;
    }
    public void setPower(String power){
        this.power = power;
    }

    public String getPower(){
        return power;
    }
    public void setFdj(String fdj){
        this.fdj = fdj;
    }

    public String getFdj(){
        return fdj;
    }
    public void setCuttingBoard(String cuttingBoard){
        this.cuttingBoard = cuttingBoard;
    }

    public String getCuttingBoard(){
        return cuttingBoard;
    }
    public void setYaxing(String yaxing){
        this.yaxing = yaxing;
    }

    public String getYaxing(){
        return yaxing;
    }
    public void setKetilengzuo(String ketilengzuo){
        this.ketilengzuo = ketilengzuo;
    }

    public String getKetilengzuo(){
        return ketilengzuo;
    }
    public void setDipanlengzuo(String dipanlengzuo){
        this.dipanlengzuo = dipanlengzuo;
    }

    public String getDipanlengzuo(){
        return dipanlengzuo;
    }
    public void setPenSu(String penSu){
        this.penSu = penSu;
    }

    public String getPenSu(){
        return penSu;
    }
    public void setZuzhuang(String zuzhuang){
        this.zuzhuang = zuzhuang;
    }

    public String getZuzhuang(){
        return zuzhuang;
    }
    public void setJiexian(String jiexian){
        this.jiexian = jiexian;
    }

    public String getJiexian(){
        return jiexian;
    }
    public void setShiji(String shiji){
        this.shiji = shiji;
    }

    public String getShiji(){
        return shiji;
    }
    public void setBaozhuang(String baozhuang){
        this.baozhuang = baozhuang;
    }

    public String getBaozhuang(){
        return baozhuang;
    }
    public void setRemarkOrder(String remarkOrder){
        this.remarkOrder = remarkOrder;
    }

    public String getRemarkOrder(){
        return remarkOrder;
    }
    public void setStatus(Integer status){
        this.status = status;
    }

    public Integer getStatus(){
        return status;
    }
    public void setFinishTime(Date finishTime){
        this.finishTime = finishTime;
    }

    public Date getFinishTime(){
        return finishTime;
    }
    public void setRemarkItems(String remarkItems){
        this.remarkItems = remarkItems;
    }

    public String getRemarkItems(){
        return remarkItems;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNo", getOrderNo())
            .append("businessName", getBusinessName())
            .append("createTime", getCreateTime())
            .append("picture", getPicture())
            .append("power", getPower())
            .append("fdj", getFdj())
            .append("cuttingBoard", getCuttingBoard())
            .append("yaxing", getYaxing())
            .append("ketilengzuo", getKetilengzuo())
            .append("dipanlengzuo", getDipanlengzuo())
            .append("penSu", getPenSu())
            .append("zuzhuang", getZuzhuang())
            .append("jiexian", getJiexian())
            .append("shiji", getShiji())
            .append("baozhuang", getBaozhuang())
            .append("remarkOrder", getRemarkOrder())
            .append("status", getStatus())
            .append("finishTime", getFinishTime())
            .append("remarkItems", getRemarkItems())
            .toString();
    }
}
