package com.miaxis.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 订单详情对象 order_items
 *
 * @author miaxis
 * @date 2023-11-17
 */
@Data
@TableName("order_items")
@ApiModel(value = "OrderItems", description = "订单详情对象 order_items")
public class OrderItems extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 生产单号 */
    @Excel(name = "生产单号")
    @TableField("order_no")
    @ApiModelProperty(value = "生产单号")
    private String orderNo;

    /** 机组型号 */
    @Excel(name = "机组型号")
    @TableField("unit_model")
    @ApiModelProperty(value = "机组型号")
    private String unitModel;

    /** 频率(Hz) */
    @Excel(name = "频率(Hz)")
    @TableField("rate")
    @ApiModelProperty(value = "频率(Hz)")
    private String rate;

    /** 电压(V) */
    @Excel(name = "电压(V)")
    @TableField("voltage")
    @ApiModelProperty(value = "电压(V)")
    private String voltage;

    /** 机组功率(kw) */
    @Excel(name = "机组功率(kw)")
    @TableField("unit_power_kw")
    @ApiModelProperty(value = "机组功率(kw)")
    private String unitPowerKw;

    /** 机组功率(kva) */
    @Excel(name = "机组功率(kva)")
    @TableField("unit_power_kva")
    @ApiModelProperty(value = "机组功率(kva)")
    private String unitPowerKva;

    /** 机组备用功率(kw) */
    @Excel(name = "机组备用功率(kw)")
    @TableField("unit_power_kw_spare")
    @ApiModelProperty(value = "机组备用功率(kw)")
    private String unitPowerKwSpare;

    /** 机组备用功率(kva) */
    @Excel(name = "机组备用功率(kva)")
    @TableField("unit_power_kva_spare")
    @ApiModelProperty(value = "机组备用功率(kva)")
    private String unitPowerKvaSpare;

    /** 柴油机型号 */
    @Excel(name = "柴油机型号")
    @TableField("diesel_engine_model")
    @ApiModelProperty(value = "柴油机型号")
    private String dieselEngineModel;

    /** 发电机型号 */
    @Excel(name = "发电机型号")
    @TableField("fjd")
    @ApiModelProperty(value = "发电机型号")
    private String fjd;

    /** 发电机型号 */
    @Excel(name = "静音开架")
    @TableField("mute_or_open")
    @ApiModelProperty(value = "静音开架")
    private String muteOrOpen;

    /** 控制器型号 */
    @Excel(name = "控制器型号")
    @TableField("controller_model")
    @ApiModelProperty(value = "控制器型号")
    private String controllerModel;

    /** 水套加热器 */
    @Excel(name = "水套加热器")
    @TableField("heater")
    @ApiModelProperty(value = "水套加热器")
    private String heater;

    /** ats */
    @Excel(name = "ats")
    @TableField("ats")
    @ApiModelProperty(value = "ats")
    private String ats;

    /** 断路器 */
    @Excel(name = "断路器")
    @TableField("breaker")
    @ApiModelProperty(value = "断路器")
    private String breaker;

    /** 电瓶 */
    @Excel(name = "电瓶")
    @TableField("battery")
    @ApiModelProperty(value = "电瓶")
    private String battery;

    /** 机壳颜色 */
    @Excel(name = "机壳颜色")
    @TableField("color")
    @ApiModelProperty(value = "机壳颜色")
    private String color;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("number")
    @ApiModelProperty(value = "数量")
    private String number;

    /** 零售价 */
    @Excel(name = "零售价")
    @TableField("price_retail")
    @ApiModelProperty(value = "零售价")
    private String priceRetail;

    /** 采购价 */
    @Excel(name = "采购价")
    @TableField("price_purchase")
    @ApiModelProperty(value = "采购价")
    private String pricePurchase;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setOrderNo(String orderNo){
        this.orderNo = orderNo;
    }

    public String getOrderNo(){
        return orderNo;
    }
    public void setUnitModel(String unitModel){
        this.unitModel = unitModel;
    }

    public String getUnitModel(){
        return unitModel;
    }
    public void setRate(String rate){
        this.rate = rate;
    }

    public String getRate(){
        return rate;
    }
    public void setVoltage(String voltage){
        this.voltage = voltage;
    }

    public String getVoltage(){
        return voltage;
    }
    public void setUnitPowerKw(String unitPowerKw){
        this.unitPowerKw = unitPowerKw;
    }

    public String getUnitPowerKw(){
        return unitPowerKw;
    }
    public void setUnitPowerKva(String unitPowerKva){
        this.unitPowerKva = unitPowerKva;
    }

    public String getUnitPowerKva(){
        return unitPowerKva;
    }
    public void setUnitPowerKwSpare(String unitPowerKwSpare){
        this.unitPowerKwSpare = unitPowerKwSpare;
    }

    public String getUnitPowerKwSpare(){
        return unitPowerKwSpare;
    }
    public void setUnitPowerKvaSpare(String unitPowerKvaSpare){
        this.unitPowerKvaSpare = unitPowerKvaSpare;
    }

    public String getUnitPowerKvaSpare(){
        return unitPowerKvaSpare;
    }
    public void setDieselEngineModel(String dieselEngineModel){
        this.dieselEngineModel = dieselEngineModel;
    }

    public String getDieselEngineModel(){
        return dieselEngineModel;
    }
    public void setFjd(String fjd){
        this.fjd = fjd;
    }

    public String getFjd(){
        return fjd;
    }
    public void setControllerModel(String controllerModel){
        this.controllerModel = controllerModel;
    }

    public String getControllerModel(){
        return controllerModel;
    }
    public void setHeater(String heater){
        this.heater = heater;
    }

    public String getHeater(){
        return heater;
    }
    public void setAts(String ats){
        this.ats = ats;
    }

    public String getAts(){
        return ats;
    }
    public void setBreaker(String breaker){
        this.breaker = breaker;
    }

    public String getBreaker(){
        return breaker;
    }
    public void setBattery(String battery){
        this.battery = battery;
    }

    public String getBattery(){
        return battery;
    }
    public void setColor(String color){
        this.color = color;
    }

    public String getColor(){
        return color;
    }
    public void setNumber(String number){
        this.number = number;
    }

    public String getNumber(){
        return number;
    }
    public void setPriceRetail(String priceRetail){
        this.priceRetail = priceRetail;
    }

    public String getPriceRetail(){
        return priceRetail;
    }
    public void setPricePurchase(String pricePurchase){
        this.pricePurchase = pricePurchase;
    }

    public String getPricePurchase(){
        return pricePurchase;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNo", getOrderNo())
            .append("unitModel", getUnitModel())
            .append("rate", getRate())
            .append("voltage", getVoltage())
            .append("unitPowerKw", getUnitPowerKw())
            .append("unitPowerKva", getUnitPowerKva())
            .append("unitPowerKwSpare", getUnitPowerKwSpare())
            .append("unitPowerKvaSpare", getUnitPowerKvaSpare())
            .append("dieselEngineModel", getDieselEngineModel())
            .append("fjd", getFjd())
            .append("controllerModel", getControllerModel())
            .append("heater", getHeater())
            .append("ats", getAts())
            .append("breaker", getBreaker())
            .append("battery", getBattery())
            .append("color", getColor())
            .append("number", getNumber())
            .append("priceRetail", getPriceRetail())
            .append("pricePurchase", getPricePurchase())
            .toString();
    }
}
