package com.miaxis.order.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.order.mapper.OrderItemsMapper;
import com.miaxis.order.domain.OrderItems;
import com.miaxis.order.service.IOrderItemsService;

/**
 * 订单详情Service业务层处理
 *
 * @author miaxis
 * @date 2023-11-17
 */
@Service
public class OrderItemsServiceImpl extends ServiceImpl<OrderItemsMapper, OrderItems> implements IOrderItemsService {
    @Autowired
    private OrderItemsMapper orderItemsMapper;

    /**
     * 查询订单详情列表
     *
     * @param orderItems 订单详情
     * @return 订单详情
     */
    @Override
    public List<OrderItems> selectOrderItemsList(OrderItems orderItems){
        return orderItemsMapper.selectOrderItemsList(orderItems);
    }
}
